<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Api\Google;

interface GoogleCalendarApiInterface
{
    public function calendarList(array $args = []): array;

    public function calendar(string $calendarId): array;

    public function events(string $calendarId, array $args = []): array;

    public function event(string $calendarId, string $eventId, array $args = []): array;
}
